﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using PhotoContest.Data;

namespace PhotoContest.Data.Migrations
{
    [DbContext(typeof(DataContext))]
    [Migration("20220624071205_NewSeed2")]
    partial class NewSeed2
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("ProductVersion", "5.0.17")
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("PhotoContest.Data.Entities.Admin", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AdminName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Password")
                        .HasColumnType("nvarchar(max)");

                    b.Property<byte[]>("PasswordSalt")
                        .HasColumnType("varbinary(max)");

                    b.HasKey("Id");

                    b.ToTable("Admins");
                });

            modelBuilder.Entity("PhotoContest.Data.Entities.Contest", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Category")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<int>("Phase")
                        .HasColumnType("int");

                    b.Property<DateTime>("PhaseIITerm")
                        .HasColumnType("datetime2");

                    b.Property<DateTime>("PhaseITerm")
                        .HasColumnType("datetime2");

                    b.Property<string>("Title")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("TypeContest")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.ToTable("Contests");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Category = "Dog pictures",
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Phase = 2,
                            PhaseIITerm = new DateTime(2022, 6, 24, 22, 42, 4, 250, DateTimeKind.Local).AddTicks(3087),
                            PhaseITerm = new DateTime(2022, 6, 24, 10, 12, 4, 248, DateTimeKind.Local).AddTicks(89),
                            Title = "First Contest",
                            TypeContest = 1
                        },
                        new
                        {
                            Id = 2,
                            Category = "Cat pictures",
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Phase = 1,
                            PhaseIITerm = new DateTime(2022, 7, 7, 4, 42, 4, 250, DateTimeKind.Local).AddTicks(3563),
                            PhaseITerm = new DateTime(2022, 7, 6, 22, 12, 4, 250, DateTimeKind.Local).AddTicks(3543),
                            Title = "Second Contest",
                            TypeContest = 1
                        });
                });

            modelBuilder.Entity("PhotoContest.Data.Entities.Photo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ContestId")
                        .HasColumnType("int");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("PhotoUrl")
                        .HasColumnType("nvarchar(max)");

                    b.Property<double>("Scoring")
                        .HasColumnType("float");

                    b.Property<string>("Story")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Title")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("ContestId");

                    b.HasIndex("UserId");

                    b.ToTable("Photos");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            ContestId = 1,
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Scoring = 0.0,
                            Story = "This is the first photo of my dog as a puppy.",
                            Title = "Cassy",
                            UserId = 1
                        },
                        new
                        {
                            Id = 2,
                            ContestId = 1,
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Scoring = 0.0,
                            Story = "I remember feeding this stray dog when I was a little child.",
                            Title = "Fidel",
                            UserId = 2
                        },
                        new
                        {
                            Id = 3,
                            ContestId = 2,
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Scoring = 0.0,
                            Story = "This is one of the first stray dogs that went to live near our villa, where my grandpa feeds it.",
                            Title = "Mecho",
                            UserId = 1
                        },
                        new
                        {
                            Id = 4,
                            ContestId = 2,
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Scoring = 0.0,
                            Story = "This dog is one of the first mothers to have ever lived near my house.",
                            Title = "Liska",
                            UserId = 2
                        });
                });

            modelBuilder.Entity("PhotoContest.Data.Entities.Rating", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Comment")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<bool>("IsReviewed")
                        .HasColumnType("bit");

                    b.Property<int>("PhotoId")
                        .HasColumnType("int");

                    b.Property<int>("Score")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("PhotoId");

                    b.ToTable("Ratings");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Comment = "This is a very cute picture!",
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            IsReviewed = true,
                            PhotoId = 1,
                            Score = 100
                        });
                });

            modelBuilder.Entity("PhotoContest.Data.Entities.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("ContestId")
                        .HasColumnType("int");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Email")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("FirstName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("LastName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Password")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("Ranking")
                        .HasColumnType("int");

                    b.Property<int>("Role")
                        .HasColumnType("int");

                    b.Property<string>("Username")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.HasIndex("ContestId");

                    b.ToTable("Users");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "r.rangel@abv.bg",
                            FirstName = "Robert",
                            LastName = "Rangel",
                            Password = "R.rangel_96",
                            Ranking = 0,
                            Role = 2,
                            Username = "r.rangel"
                        },
                        new
                        {
                            Id = 2,
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "p.fritz@abv.bg",
                            FirstName = "Philip",
                            LastName = "Fritz",
                            Password = "P_fritz_96",
                            Ranking = 0,
                            Role = 2,
                            Username = "p.fritz"
                        });
                });

            modelBuilder.Entity("PhotoContest.Data.Entities.Photo", b =>
                {
                    b.HasOne("PhotoContest.Data.Entities.Contest", "Contest")
                        .WithMany("Photos")
                        .HasForeignKey("ContestId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PhotoContest.Data.Entities.User", "User")
                        .WithMany("Photos")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Contest");

                    b.Navigation("User");
                });

            modelBuilder.Entity("PhotoContest.Data.Entities.Rating", b =>
                {
                    b.HasOne("PhotoContest.Data.Entities.Photo", "Photo")
                        .WithMany("Ratings")
                        .HasForeignKey("PhotoId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Photo");
                });

            modelBuilder.Entity("PhotoContest.Data.Entities.User", b =>
                {
                    b.HasOne("PhotoContest.Data.Entities.Contest", null)
                        .WithMany("Partakers")
                        .HasForeignKey("ContestId");
                });

            modelBuilder.Entity("PhotoContest.Data.Entities.Contest", b =>
                {
                    b.Navigation("Partakers");

                    b.Navigation("Photos");
                });

            modelBuilder.Entity("PhotoContest.Data.Entities.Photo", b =>
                {
                    b.Navigation("Ratings");
                });

            modelBuilder.Entity("PhotoContest.Data.Entities.User", b =>
                {
                    b.Navigation("Photos");
                });
#pragma warning restore 612, 618
        }
    }
}
